# shared-architecture

Shared Python library for **Stocksblitz Microservices Architecture**.

Provides reusable components like:

- ✅ SQLAlchemy ORM models (Activity Log, Broker, Symbol, etc.)
- ✅ Common Enums (UserRole, AccountStatus)
- ✅ Database session management
- ✅ Redis, RabbitMQ, TimescaleDB connections
- ✅ Retry helpers with exponential backoff
- ✅ Keycloak authentication utilities
- ✅ Centralized structured logging
- ✅ Microservice connection management (ConnectionManager)
- ✅ RabbitMQ Publisher utility

---

## 📦 Installation

```bash
pip install shared-architecture==0.3.0
```
